<?php

/**
 * @file
 * Facebook Graph API page callbacks.
 */

/**
 * Page callback for OAuth handling.
 */
function facebook_graph_api_oauth_page() {
  $fb = facebook_graph_api_get_facebook();
  $login = $fb->getRedirectLoginHelper();

  $handler = new FacebookGraphApiTokenCreationHandler();
  try {
    $accessToken = $login->getAccessToken();
  }
  catch (\Exception $e) {
    $handler->setToken();
    facebook_graph_api_oauth_redirect();
    return t('There was a problem handling your oauth login.');
  }

  $handler->setToken($accessToken->getValue());
  facebook_graph_api_oauth_redirect();
  return t("You've successfully authenticated with the Facebook Graph API.");
}
